Bug 1018061 - Failed to publish a CV that contains a errata filter using errata-id
Failed to publish a CV that contains a errata filter using errata-id
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: David Davis
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 02:36 EDT by Sachin Ghai
Modified: 2014-04-24 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
publishing a cv including errata filter fails (91.01 KB, image/png)
2013-10-11 02:36 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2013-10-11 02:36:44 EDT
Created attachment 810877 [details]
publishing a cv including errata filter fails

Description of problem:
Create a content view filter of type "Errata" and choose errata-id. Once you publish the created CV with this filter, it fails with error:

--
Failed to publish content view 'publish-name-1011-114512-065' from definition 'con-def-1011-114512-065'.
undefined method `list_by_filter_clauses' for Util::Errata:Module (NoMethodError)
--

Version-Release number of selected component (if applicable):
snap4 compose4 (mdp2)

katello-1.4.6-21.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a CV definition
2. select the product/repo from content-tab
3. create a cv filter
4. select the repo from repo tab
5. Add rule and select filter type 'Errata'
6. select the 'Errata-id"..
7. Use auto-completion
8. save the rule
9. publish the cv

Actual results:
--
Failed to publish content view 'publish-name-1011-114512-065' from definition 'con-def-1011-114512-065'.
undefined method `list_by_filter_clauses' for Util::Errata:Module (NoMethodError)
--

Expected results:
CV should be successfully published.

Additional info:
Comment 2 Mike McCune 2013-10-15 12:02:54 EDT
reproduced this in MDP2 - SNAP5
Comment 3 David Davis 2013-10-15 12:44:49 EDT
https://github.com/Katello/katello/pull/3186
Comment 4 David Davis 2013-10-16 08:43:43 EDT
katello SHA d9dacc57278a66a2f6bb30917208e0f564fd93be

1018061: Fixing call to Errata class
Comment 7 Sachin Ghai 2013-10-17 08:45:47 EDT
Verified with MDP2 snap6.

katello-glue-pulp-1.4.6-39.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-glue-candlepin-1.4.6-39.el6sat.noarch
katello-configure-foreman-1.4.7-5.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.4.3-24.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.11-3.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-cli-1.4.3-24.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
katello-1.4.6-39.el6sat.noarch
katello-foreman-all-1.4.6-39.el6sat.noarch
katello-common-1.4.6-39.el6sat.noarch
katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
katello-configure-1.4.7-5.el6sat.noarch
katello-all-1.4.6-39.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch

Reported issue has been fixed. I can publish the cv that contains a errata     filter with errata-id
Comment 8 Bryan Kearney 2014-04-24 13:09:34 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 9 Bryan Kearney 2014-04-24 13:11:02 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.